> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate a report



## OpenAPI

````yaml /openapi.json post /reporting
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /reporting:
    post:
      tags:
        - reporting
      summary: Generate a report
      operationId: ReportingController_generateReport
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GenerateReportInputBody'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenerateReportOutput'
        '400':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/InvalidReportParamsErrorDto'
              examples:
                INVALID_REPORT_PARAMS:
                  $ref: '#/components/schemas/InvalidReportParamsErrorDto'
          description: ''
components:
  schemas:
    GenerateReportInputBody:
      type: object
      properties:
        type:
          type: string
          description: The type of report
        params:
          description: Report specific parameters
          type: array
          items:
            $ref: '#/components/schemas/Metadata'
        uploadToConnectors:
          type: boolean
          description: uploadToConnectors
        productIds:
          description: The productIds
          type: array
          items:
            type: string
      required:
        - type
        - params
    GenerateReportOutput:
      type: object
      properties:
        type:
          type: string
          description: The type of report
        reportId:
          type: string
        reportName:
          type: string
      required:
        - type
        - reportId
        - reportName
    InvalidReportParamsErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_REPORT_PARAMS
        message:
          type: string
          example: Invalid {type} report params
        details:
          $ref: '#/components/schemas/InvalidReportParamsDetailsDto'
      required:
        - code
        - message
        - details
    Metadata:
      type: object
      properties:
        key:
          type: string
          description: the key of the metadata
        value:
          type: string
          description: the value of the metadata
      required:
        - key
        - value
    InvalidReportParamsDetailsDto:
      type: object
      properties:
        type:
          type: string
        errors:
          type: array
          items:
            $ref: '#/components/schemas/InvalidCustomFieldsDetailsErrorsDto'
      required:
        - type
        - errors
    InvalidCustomFieldsDetailsErrorsDto:
      type: object
      properties:
        key:
          type: string
        errorDetails:
          type: array
          items:
            type: string
        value:
          type: object
      required:
        - key
        - errorDetails

````